Package org.eclipse.birt.core.ui.swt.custom

# Class TextCombo

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.birt.core.ui.swt.custom.CustomChooserComposite
org.eclipse.birt.core.ui.swt.custom.TextCombo

All Implemented Interfaces:
  `org.eclipse.swt.graphics.Drawable`

public class TextCombo extends CustomChooserComposite
Custom text combo

## Field Summary

### Fields inherited from class org.eclipse.birt.core.ui.swt.custom.CustomChooserComposite

`cnvSelection, DROPDOWN_EVENT, SELECTION_EVENT`

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`nativeZoom`

## Constructor Summary

Constructors
Constructor
Description
`TextCombo(org.eclipse.swt.widgets.Composite parent, int style)`

## Method Summary

Modifier and Type
Method
Description
`protected ICustomChoice`
`createChoice(org.eclipse.swt.widgets.Composite parent, Object choiceValue)`
`void`
`deselectAll()`
`String`
`getText()`
`void`
`markSelection(String text)`
`void`
`setText(String text)`
`void`
`unmarkSelection(String text)`

### Methods inherited from class org.eclipse.birt.core.ui.swt.custom.CustomChooserComposite

`addListener, getChoiceIndex, getChoiceValue, getItem, getItemCount, getItems, initAccessible, isEnabled, removeListener, select, setChoiceValue, setEnabled, setItems`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setData, setDragDetect, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addTypedListener, checkWidget, dispose, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeTypedListener, reskin, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### TextCombo

public TextCombo(org.eclipse.swt.widgets.Composite parent, int style)

## Method Details

### createChoice

protected ICustomChoice createChoice(org.eclipse.swt.widgets.Composite parent, Object choiceValue)

Specified by:
  `createChoice` in class `CustomChooserComposite`

### setText

public void setText(String text)

### getText

public String getText()

### deselectAll

public void deselectAll()

### markSelection

public void markSelection(String text)

### unmarkSelection

public void unmarkSelection(String text)